/***************************************************
* SUBNETS
****************************************************/

resource "aws_subnet" "db_private_sns" {
  vpc_id            = "${var.vpc_id}"
  count = "${var.nr_subnets}"

  cidr_block        = "${lookup(var.db_subnet_cidrs, count.index)}"
  availability_zone = "${element(data.aws_availability_zones.available.names,count.index)}"

  tags {
    Name = "${var.stack_name}-db-private_${count.index}"
    managed_by  = "terraform"
  }
}
